Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyManager_var Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::PolicyManager_var:

[legend]
Collaboration diagram for CORBA::PolicyManager_var:

[legend]
List of all members.

## Public Methods
| PolicyManager_var (void)
| PolicyManager_var (PolicyManager_ptr p)
| PolicyManager_var (const PolicyManager_var &)
| ~PolicyManager_var (void)
PolicyManager_var & | operator= (PolicyManager_ptr)
PolicyManager_var & | operator= (const PolicyManager_var &)
PolicyManager_ptr | operator-> (void) const
| operator const PolicyManager_ptr & () const
| operator PolicyManager_ptr & ()
PolicyManager_ptr | in (void) const
PolicyManager_ptr & | inout (void)
PolicyManager_ptr & | out (void)
PolicyManager_ptr | _retn (void)
PolicyManager_ptr | ptr (void) const
## Static Public Methods
PolicyManager_ptr | tao_duplicate (PolicyManager_ptr)
void | tao_release (PolicyManager_ptr)
PolicyManager_ptr | tao_nil (void)
PolicyManager_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| PolicyManager_var (const TAO_Base_var &rhs)
PolicyManager_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
PolicyManager_ptr | ptr_

## Constructor & Destructor Documentation

CORBA::PolicyManager_var::PolicyManager_var | ( | void |  | ) |

CORBA::PolicyManager_var::PolicyManager_var | ( | PolicyManager_ptr | p | ) | `[inline]`

CORBA::PolicyManager_var::PolicyManager_var | ( | const PolicyManager_var & |  | ) |

CORBA::PolicyManager_var::~PolicyManager_var | ( | void |  | ) |

CORBA::PolicyManager_var::PolicyManager_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

PolicyManager_ptr CORBA::PolicyManager_var::_retn | ( | void |  | ) |

PolicyManager_ptr CORBA::PolicyManager_var::in | ( | void |  | ) | const

PolicyManager_ptr& CORBA::PolicyManager_var::inout | ( | void |  | ) |

CORBA::PolicyManager_var::operator const PolicyManager_ptr & | ( |  | ) | const

CORBA::PolicyManager_var::operator PolicyManager_ptr & | ( |  | ) |

PolicyManager_ptr CORBA::PolicyManager_var::operator-> | ( | void |  | ) | const

PolicyManager_var& CORBA::PolicyManager_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

PolicyManager_var& CORBA::PolicyManager_var::operator= | ( | const PolicyManager_var & |  | ) |

CORBA::PolicyManager_var & CORBA::PolicyManager_var::operator= | ( | PolicyManager_ptr | p | ) |

PolicyManager_ptr& CORBA::PolicyManager_var::out | ( | void |  | ) |

CORBA::PolicyManager_ptr CORBA::PolicyManager_var::ptr | ( | void |  | ) | const

PolicyManager_ptr CORBA::PolicyManager_var::tao_duplicate | ( | PolicyManager_ptr |  | ) | `[static]`

PolicyManager_ptr CORBA::PolicyManager_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

PolicyManager_ptr CORBA::PolicyManager_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA::PolicyManager_var::tao_release | ( | PolicyManager_ptr |  | ) | `[static]`

CORBA::Object* CORBA::PolicyManager_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

PolicyManager_ptr CORBA::PolicyManager_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp